#define STACK_TOP 0x8000
	## -----------------------------------------------------------
	## Start up code for boot sector program.
	.text
	.code16
_start:
	.global _start
	ljmp $(0),$(set_segment)
set_segment:
	xorw %ax, %ax
	movw %ax, %ds
	movw %ax, %es
	movw %ax, %fs
	movw %ax, %gs
	movw %ax, %ss
	movl $(STACK_TOP), %esp
	movl %esp, %ebp
	call cmain
1:
	hlt
	jmp 1b
	
	## -----------------------------------------------------------
	## Boot Signature --- in this software project, there is no
	## DOS partition table.  Instead, the partition table will be
	## found in the sector immediately following all of the boot
	## loader code.
	.section .boot_sig, "a"
	.short 0xaa55
