#include <legacy/selector32.h>
#define STACK_TOP (16 * 1024 * 1024)
	
	.section .mbr_table, "a"
mbr:	
	## Boot sector loader table - must be at the beginning of the
	## program.
	.int _start
	.int _edata
	
	.text
	.code32
	.global _start
_start:
	## set up the segment selectors.
	
	movw $(DATA_DESC_INDEX << 3), %ax
	movw %ax, %ds
	movw %ax, %es
	movw %ax, %fs
	movw %ax, %gs
	movw %ax, %ss

	## Get the parameter from the 16 bit loader.
	popl %eax
	## setup the stack.
	movl $(STACK_TOP), %esp
	movl %esp, %ebp
	push %eax
	
	## start the main part of the 32 bit loader
	call cmain
